@ECHO OFF

::syntax: callReplace.bat wps_home profile_home
::          wps_home [in] - wps_home
::          profile_home [in] - profile_home


@set CURRENT_DIR=%cd%
@set SCRIPT_DIR=%~dp0%
cd %SCRIPT_DIR%

@set WPS_HOME=%~1
@if "%WPS_HOME%" == "" GOTO:EOF
@set PROFILE_PATH=%~2
@if "%PROFILE_PATH%" == "" GOTO:EOF cd %WPS_HOME%



ren %WPS_HOME%\scripts.wbm\AAMExport\config.properties config.properties.orig

@rem copy the monitor alert xml to wps_home/scripts.wbm/AAMExport

copy ..\action-alert\mortgage-refinancing-monitor-action-alert.xml %WPS_HOME%\scripts.wbm\AAMExport\mortgage-refinancing-monitor-action-alert.xml /Y

@rem calling the replace script to change the parameter and moving it to AAMExport

set WPS_HOME=%WPS_HOME:\=/%
set PROFILE_PATH=%PROFILE_PATH:\=/%

call BatchSubstitute.bat ${WPS_HOME} %WPS_HOME% ${PROFILE_PATH} %PROFILE_PATH% .\monitor-alert-config.properties > %~1\scripts.wbm\AAMExport\config.properties

@rem calling the export utility

cd %~1\scripts.wbm\AAMExport

call %WPS_HOME%\scripts.wbm\AAMExport\runAAMExport.bat

@rem Reverting the monitor alert config file status

del config.properties /F

ren config.properties.orig config.properties

del mortgage-refinancing-monitor-action-alert.xml /F

cd %SCRIPT_DIR%


